Qore WebUtil Module Reference 1.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Attributes | List of all members
WebUtil::FileHandler Class Reference

this class serves files from the file system based on a root location More...

Inheritance diagram for WebUtil::FileHandler:
[legend]

## Public Attributes
*string | default_target
| the default target if a URL cannot be satisfied
const | Defaults
| default configuration values
const | Dirlisting
| dirlisting template
const | DirSep = (Unix ? "/" : "\\")
| directory separator character
softint | error_level = 0
| set for error info level More...
string | file_root
| root directory for serving files
softlist | indexes = (Defaults.IndexTemplate, Defaults.IndexFile)
| indexes for directories; handled in order of appearance
hash | template_extensions = Defaults.TemplateExtensions
| file extensions handled as templates
const | Unix = (PlatformOS != "Windows")
| flag for UNIX operating systems

## Additional Inherited Members
Private Member Functions inherited from WebUtil::TemplateFileManager
| constructor (int po=TextTemplateBase::DefaultProgramOptions, *code psetup)
| creates the object with optional Program options More...
| purge (string tname)
| this method can be called when a resource is requested that no longer exists in case a template is stored for a file that was deleted
hash | render (string tname, string path, date mtime, hash ctx, int code=200, *hash hdr)
| explicitly renders the given template with the given path and context argument More...

## Detailed Description

this class serves files from the file system based on a root location

## Member Data Documentation

softint WebUtil::FileHandler::error_level = 0

set for error info level

- 0: no details
  - 1: error summary info
  - 2: complete error details including stack trace (can expose internal implementation details)